package com.rjconsultores.ventaboletos.service;

import java.util.List;

import com.rjconsultores.ventaboletos.entidad.Mensaje;
import com.rjconsultores.ventaboletos.entidad.MensajePuntoVenta;
import com.rjconsultores.ventaboletos.exception.BusinessException;

public interface MensajePuntaVentaService {

	public List<MensajePuntoVenta> obtenerTodos();
	
	public List<MensajePuntoVenta> obtenerPorMensaje(Mensaje mensaje);

	public MensajePuntoVenta obtenerID(Integer id);

	public void borrar(MensajePuntoVenta entidad);

	public MensajePuntoVenta suscribirActualizar(MensajePuntoVenta entidad) throws BusinessException;

}